# Method: messages.get

**Full name**: projects.locations.datasets.hl7V2Stores.messages.get

Gets an HL7v2 message.

### HTTP request

`GET https://healthcare.googleapis.com/v1/{name=projects/*/locations/*/datasets/*/hl7V2Stores/*/messages/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the HL7v2 message to retrieve. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `healthcare.hl7V2Messages.get` |

### Query parameters

| Parameters ||
|---|---|
| `view` | ``enum(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/MessageView`)`` Specifies which parts of the Message resource to return in the response. When unspecified, equivalent to FULL. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.hl7V2Stores.messages#Message`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-healthcare`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).